<?php
class Xmto_model extends CI_Model{
	public function __construct(){
		parent::__construct();
	}

	public function listar($op = 0, $op2 = 0, $desde, $hasta, $xeo = 0, $codpat = '', $xeqo = 0){
		$where 	= ($xeo>0)?" AND m.est_codigo_cas = $xeo":"";
		if($op==1){
			$where.= " AND m.man_fecha BETWEEN '$desde' AND '$hasta' AND '$hasta' AND ISNULL(m.man_fecha_recepcion)";
		}elseif($op==2){
			$where.= " AND m.man_fecha_recepcion BETWEEN '$desde' AND '$hasta' AND NOT ISNULL(m.man_fecha) AND ISNULL(m.man_fecha_diagnostico)";
		}elseif($op==3){
			$where.= " AND m.man_fecha_diagnostico BETWEEN '$desde' AND '$hasta' AND ISNULL(m.man_estado_conclusion)";
		}elseif($op==4){
			$where.= " AND m.man_fecha_conclusion BETWEEN '$desde' AND '$hasta' AND m.man_estado_conclusion = 'R'";
		}elseif($op==5){
			$where.= " AND m.man_fecha_conclusion BETWEEN '$desde' AND '$hasta' AND m.man_estado_conclusion = 'B'";
		}elseif($op==0){
			$where.= " AND m.man_fecha BETWEEN '$desde' AND '$hasta' AND '$hasta'";
		}
		$where .= ($op2>0)?" AND m.man_destino = $op2":"";
		$where .= ($codpat!='')?" AND eq.eq_inv_cod_pat = $codpat":"";
		$where .= ($xeqo>0)?" AND eq.equi_id = $xeqo":"";
		$query 	= "	SELECT
						m.man_id,
						m.man_asunto,
						m.man_fecha,
						m.man_hora,
						m.man_destino,
						m.man_informe,
						m.man_fecha_recepcion,
						m.man_hora_recepcion,
						m.man_fecha_diagnostico,
						m.man_hora_diagnostico,
						m.man_informe_diagnostico,
						m.man_fecha_conclusion,
						m.man_hora_conclusion,
						m.man_informe_conclusion,
						m.man_estado_conclusion,
						m.man_fecha_recojo,
						m.man_hora_recojo,
						m.man_usu,
						m.man_usu_recepcion,
						m.man_usu_diagnostico,
						m.man_usu_conclusion,
						m.man_usuario_recojo,
						m.est_codigo_cas,
						m.eq_inv_id,
						m.mqo_id,
						eq.eq_inv_cod_pat,
						eq.eq_inv_nro_serie,
						e.est_descripcion,
						ma.mar_descripcion,
						mo.mod_descripcion,
						equipo.equi_descripcion,
						movimiento_equipo.trab_id_destino,
						movimiento_equipo.mqo_nivel_destino,
						movimiento_equipo.mqo_nivel_id_destino,
						tb.trab_apenombres,
						tb.trab_cp
					FROM
						mantenimiento AS m
					INNER JOIN equipo_inventario AS eq ON m.eq_inv_id = eq.eq_inv_id
					INNER JOIN equipo ON eq.equi_id = equipo.equi_id
					INNER JOIN establecimiento AS e ON m.est_codigo_cas = e.est_codigo_cas
					INNER JOIN marca AS ma ON eq.mar_id = ma.mar_id
					INNER JOIN modelo AS mo ON eq.mod_id = mo.mod_id
					INNER JOIN movimiento_equipo ON m.mqo_id = movimiento_equipo.mqo_id
					LEFT JOIN trabajador AS tb ON movimiento_equipo.trab_id_destinop = tb.trab_id
					WHERE m.man_estado = 0 {$where}
					ORDER BY m.man_id DESC";
		return 	$this->db->query($query);
	}

	public function insertar_xmto($data){
		$this->db->insert('mantenimiento', $data);
		return 	$this->db->insert_id();
	}

	public function editar_xmto($id, $data){
		$this->db->where('man_id', $id);
		$this->db->update('mantenimiento', $data);
	}

	public function insertar_xmimg($data){
		$this->db->insert('mantenimiento_img', $data);
	}

	public function eliminar_xmimg($id){
		$this->db->where('mimg_id', $id);
		$this->db->delete('mantenimiento_img');
	}
}